# PageData class

The result of the health insurance card recognition

## Constructors

PageData({required String uuid, List<ParametricFilter>? filters, List<Point<double>>? polygon, DocumentDetectionStatus? documentDetectionStatus = null, DocumentQuality? documentQuality = null, PageImageSource? source = null, required String originalImageURI, String? documentImageURI = null, String? unfilteredDocumentImageURI = null, String? documentImagePreviewURI = null})
PageData.fromJson(Map<String, dynamic> json)
  factory

## Properties

documentDetectionStatus → DocumentDetectionStatus?
  The detection status of the page
  final
documentImagePreviewURI → String?
  The URI of the document image preview
  final
documentImageURI → String?
  The URI of the document image
  final
documentQuality → DocumentQuality?
  The quality score of the page
  final
filters → List<ParametricFilter>?
  The list of filters applied to the page
  final
hashCode → int
  The hash code for this object.
  no setter inherited
originalImageURI → String
  The URI of the original image
  final
polygon → List<Point<double>>
  The polygon of the page
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
source → PageImageSource?
  The source of the page image
  final
unfilteredDocumentImageURI → String?
  The URI of the unfiltered document image
  final
uuid → String
  The unique identifier of the page
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited